org.apache.fop.layoutmgr

## Class BlockLayoutManager.ProxyLMiter

- java.lang.Object
- - org.apache.fop.layoutmgr.LMiter
  - - org.apache.fop.layoutmgr.BlockLayoutManager.ProxyLMiter

- All Implemented Interfaces:
    Iterator<LayoutManager>, ListIterator<LayoutManager>
  Enclosing class:
    BlockLayoutManager

      protected class BlockLayoutManager.ProxyLMiter
      extends LMiter

  Proxy iterator for Block LM. This iterator creates and holds the complete list of child LMs. It uses fobjIter as its base iterator. Block LM's createNextChildLMs uses this iterator as its base iterator.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.layoutmgr.LMiter

      `curPos, listLMs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyLMiter()` Constructs a proxy iterator for Block LM.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `createNextChildLMs(int pos)`
    `boolean` | `hasNext()`

    - ### Methods inherited from class org.apache.fop.layoutmgr.LMiter

      `add, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ProxyLMiter

          public ProxyLMiter()

      Constructs a proxy iterator for Block LM.

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from class: `LMiter`
      Specified by:
        `hasNext` in interface `Iterator<LayoutManager>`
      Specified by:
        `hasNext` in interface `ListIterator<LayoutManager>`
      Overrides:
        `hasNext` in class `LMiter`
      Returns:
        true if there are more child lms

    - #### createNextChildLMs

          protected boolean createNextChildLMs(int pos)

      Parameters:
        `pos` - ...
      Returns:
        true if new child lms were added

Copyright © 2023 Apache Software Foundation. All rights reserved.